<?php

/***************************************************************************
                  AutoIndex PHP Script, by Justin Hagstrom
                             -------------------

   version              : 1.3.8
   date                 : February 22, 2004

   copyright            : Copyright (C) 2002-2004 Justin Hagstrom
   license              : GNU General Public License (GPL)

   website              : http://autoindex.sourceforge.net
   forum                : http://autoindex.tacticalcenter.net
   email                : JustinHagstrom [at] yahoo [dot] com



   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

 ***************************************************************************/



/***************************************************************************
 *   Change the following variables
 *   Refer to readme.html for help
 ***************************************************************************/


$base_dir = './';
$imagepath = 'index_icons/winxp';
$stylesheet = 'stylesheet.css';


/*  Optional settings:  */

$use_login_system = 0;
$allow_uploads = 0;
$must_login_to_download = 0;
$userlist = '.htpasswd.autoindex';
$allow_file_overwrites = 0;

$log_file = '';
$dont_log_these_ips = array('127.0.0.*');
$download_count = '';
$links_file = '';
$description_file = '';

$sub_folder_access = 1;
$index = '';
$hidden_files = array($log_file, $links_file, $description_file, $stylesheet,
	$download_count, 'index_icons', 'languages', '*.php', '.ht*');
$show_only_these_files = array();

$force_download = 0;
$bandwidth_limit = 0;
$anti_leech = 0;

$enable_searching = 1;

$show_dir_size = 1;
$folder_expansion = 0;
$show_folder_count = 0;
$days_new = 0;
$md5_show = 0;

$header = '';
$footer = '';
$header_per_folder = 0;
$footer_per_folder = 0;


/***************************************************************************
 *   This section lets you change the language
 *   of anything displayed in the script
 *   Refer to readme.html for help (language section is at the end of the file)
 ***************************************************************************/


$lang = 'en';
$path_to_language_files = 'languages/';
$select_language = 0;


/***************************************************************************
 *   YOU DO NOT NEED TO EDIT ANYTHING BELOW HERE
 *   but you can if you want to, if you know what you're doing ;-)
 ***************************************************************************/

function getmicrotime()
{ 
	list($usec, $sec) = explode(' ', microtime());
	return ((float)$usec + (float)$sec);
}
$startTime = getmicrotime();

session_start();
if (ini_get('zlib.output_compression') == '1')
{ 
	header('Content-Encoding: gzip'); //compensate for compressed output set in php.ini
}

$posix = (stristr(php_uname(), 'win') ? 0 : 1); //check server OS

$thisFile = $_SERVER['PHP_SELF'];
$referrer = (isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : 'N/A');

if (get_magic_quotes_gpc())
{
	foreach ($_GET as $key => $this)
	{
		$_GET[$key] = stripslashes($this);
	}
	foreach ($_POST as $key => $this)
	{
		$_POST[$key] = stripslashes($this);
	}
}

//make sure all the variables are set correctly
if (!isset($base_dir, $imagepath, $stylesheet, $use_login_system, $allow_uploads, $must_login_to_download,
$userlist, $allow_file_overwrites, $log_file, $dont_log_these_ips, $download_count, $links_file, $description_file,
$sub_folder_access, $index, $hidden_files, $show_only_these_files, $force_download, $bandwidth_limit,
$anti_leech, $enable_searching, $show_dir_size, $folder_expansion, $show_folder_count, $days_new, $md5_show,
$header, $footer, $header_per_folder, $footer_per_folder, $lang, $path_to_language_files, $select_language))
{
	die('<p>Error...</p><p>This script is not configured properly.</p><p>If you are the Webmaster, make sure you read the readme.html file, and set all the variables correctly.</p>');
}

//find the user's IP address and hostname
if (isset($_SERVER['HTTP_CLIENT_IP']))
{
	$ip = $_SERVER['HTTP_CLIENT_IP'];
}
else if (isset($_SERVER['HTTP_X_FORWARDED_FOR']))
{
	$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
}
else if (isset($_SERVER['REMOTE_ADDR']))
{
	$ip = $_SERVER['REMOTE_ADDR'];
}
else
{
	$ip = 'N/A';
}
$host = @gethostbyaddr($ip) or $host = 'N/A';

//find the language the script should be displayed in
if ($select_language && isset($_GET['lang']) && eregi('^[a-z]{2}(_[a-z]{2})?$', $_GET['lang'])
	&& is_file($path_to_language_files.$_GET['lang'].'.php'))
{
	$_SESSION['lang'] = $_GET['lang'];
}
else if (!isset($_SESSION['lang']))
{
	$_SESSION['lang'] = $lang;
}
@include($path_to_language_files.$_SESSION['lang'].'.php');

if (!isset($words))
{
	die('<p>Error...</p><p>You need to include a language.php file that includes the variable $words.<br />Check the $lang and $path_to_language_files variables.</p>');
}

function get_basename($fn)
{
	if (!ereg('[\\/]', $fn))
	{
		return $fn;
	}
	return substr($fn, max(strrpos($fn, '\\'), strrpos($fn, '/'))+1);
}

function match($a, $b)
//determines if two strings match (includes wildcards, and is case-sensitive based on OS)
{
	global $posix;
	$replace = array(
		'.' => '\.',
		'^' => '\^',
		'$' => '\$',
		'[' => '\[',
		']' => '\]',
		'(' => '\(',
		')' => '\)',
		'{' => '\{',
		'}' => '\}',
		'|' => '\|',
		'\\' => '/',
		'*' => '[^/]*',
		'+' => '[^/]+',
		'?' => '[^/]?');
	$a = get_basename($a);
	$b = '^' . strtr(get_basename($b), $replace) . '$';
	return ($posix ? ereg($b, $a) : eregi($b, $a));
}

function match_in_array($string, &$array)
{
	for ($i=0; $i<count($array); $i++)
	{
		if (strlen($array[$i]) && match($string, $array[$i]))
		{
			return 1;
		}
	}
	return 0;
}

function isHidden($fn)
{
	if (!strlen($fn))
	{
		return 1;
	}
	global $hidden_files, $show_only_these_files;
	if (count($show_only_these_files))
	{
		return (!match_in_array($fn, $show_only_these_files));
	}
	if (!count($hidden_files))
	{
		return 0;
	}
	return match_in_array($fn, $hidden_files);
}

function evalDir($d)
//check $d for "bad" things, and deal with ".."
{
	$d = str_replace('\\', '/', $d);
	if (!strlen($d) || $d == '/')
	{
		return '';
	}
	$dirs = explode('/', $d);
	for ($i=0; $i<count($dirs); $i++)
	{
		if (!strlen($dirs[$i]) || $dirs[$i] == '.' || isHidden($dirs[$i]))
		{
			array_splice($dirs, $i, 1);
			$i = -1;
		}
		else if (ereg('^[\.]{2}', $dirs[$i])) //if it starts with two dots
		{
			array_splice($dirs, $i-1, 2);
			$i = -1;
		}
	}
	$newDir = implode('/', $dirs);
	if ($d[0] == '/' && ereg('^[^/]', $newDir))
	{
		$newDir = '/'.$newDir;
	}
	if ($d[strlen($d)-1] == '/' && ereg('[^/]$', $newDir))
	{
		$newDir .= '/';
	}
	return $newDir;
}

//get the user defined variables
$subdir = (isset($_GET['dir']) ? evalDir(rawurldecode($_GET['dir'])) : '');
$fileDL = (isset($_GET['file']) ? evalDir(rawurldecode($_GET['file'])) : '');
$search = (isset($_GET['search']) ? $_GET['search'] : '');
$searchMode = (isset($_GET['searchMode']) ? $_GET['searchMode'] : '');

if ($base_dir == '')
{
	die('<p>Error...</p><p>Make sure $base_dir has been assigned a value.</p>');
}
if (ereg('[^/\\]$', $base_dir))
//make sure there is a slash at the end of base_dir
{
	$base_dir .= '/';
}
if (!is_dir($base_dir))
{
	die('<p>Error...</p><p>This script is not configured properly.</p><p><b>'.htmlentities($base_dir)
		.'</b> is not a valid directory.<br />Check the $base_dir variable.</p><p>If you are the Webmaster, make sure you read the readme.html file, and set all the variables correctly.</p>');
}
if (($base_dir[0] == '/' || $bandwidth_limit) && !$force_download)
{
	die('<p>Error...</p><p>It seems you\'re using an absolute path for the $base_dir, or $bandwidth_limit is being used.<br />This requires that you have $force_download turned on.</p>
		<p>You must set $force_download to 1, so that files can be downloaded. Otherwise, use a relative path instead of an absolute path or turn off $bandwidth_limit.</p>');
}

if (!$sub_folder_access || $subdir == '/')
{
	$subdir = '';
}
else if (ereg('[^/\\]$', $subdir))
{
	$subdir .= '/'; //add a slash to the end if there isn't one
}

$dir = $base_dir.$subdir;

//this will be displayed before any HTML output
$htmlHeading = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';

if ($index == '')
{
	$htmlHeading .= "\n".'<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';
}
if ($stylesheet != '')
{
	$htmlHeading .= "\n<link rel=\"stylesheet\" href=\"$stylesheet\" type=\"text/css\" />\n";
}
if ($index == '')
{
	$htmlHeading .= "\n<title>".$words['index of'].' '.htmlentities($dir)."</title>\n\n</head><body class='autoindex_body'>\n\n";
}

if ($imagepath == '')
{
	$folder_expansion = 0;
}

if ($use_login_system && !is_file($userlist))
{
	die($htmlHeading.'<p>Error...</p><p>Could not open the $userlist file.</p><p>Set $userlist to the correct file, or turn of the login system.</p>');
}

function show_login_box()
{
	global $index, $thisFile;
	echo '<p><table border="0" cellpadding="8" cellspacing="0"><tr class="paragraph"><td class="default_td">
	Login:<br />'."
	<form method='post' action='$thisFile'>
	<p>Username: <input type='text' name='user' />
	<br />Password: <input type='password' name='pass' /></p>
	<p><input class='button' type='submit' value='Login' /></p>";
	if ($index != '')
	{
		$id_temp = explode('=', $index, 2);
		$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
		echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
	}
	echo '</form></td></tr></table></p>';
}

function show_search_box()
{
	global $search, $index, $words, $searchMode, $thisFile, $subdir;
	echo '<p><table border="0" cellpadding="8" cellspacing="0"><tr class="paragraph"><td class="default_td">'
		.$words['search'].":<br /><form method='get' action='$thisFile'><p><input type='text' name='search' value='$search' />\n";
	if ($index != '')
	{
		$id_temp = explode('=', $index, 2);
		$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
		echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
	}
	echo "<input type='hidden' name='dir' value='".translate_uri($subdir)."' /><br /><select name='searchMode'>";
	$searchModes = array($words['files'] => 'f', $words['folders'] => 'd', $words['both'] => 'fd');
	foreach ($searchModes as $key => $this)
	{
		echo '<option ';
		if ($searchMode == $this)
		{
			echo 'selected ';
		}
		echo "value='$this'>$key</option>\n";
	}
	echo "</select><input type='submit' value='".$words['search']."' class='button' /></p></form>"
		.'</td></tr></table></p>';
}

function checkLogin($user, $pass)
{
	global $userlist, $htmlHeading;
	($users = @file($userlist)) or die("{$htmlHeading}Could not open file <b>$userlist</b>");
	$user = strtolower($user);
	foreach ($users as $userInfo)
	{
		if (strtolower(substr(rtrim($userInfo), 33)) == $user && substr(rtrim($userInfo), 0, 32) == $pass)
		{
			return 1;
		}
	}
	return 0;
}

function loggedIn()
{
	return (isset($_SESSION['user'], $_SESSION['pass']) && checkLogin($_SESSION['user'], $_SESSION['pass']));
}

function isUserAdmin($user)
{
	global $userlist, $htmlHeading;
	($users = @file($userlist)) or die("{$htmlHeading}Could not open file <b>$userlist</b>");
	$user = strtolower($user);
	foreach ($users as $userInfo)
	{
		if (strtolower(substr(rtrim($userInfo), 33)) == $user)
		{
			return (substr($userInfo, 32, 1) === '1');
		}
	}
	return 0;
}

function isAdmin()
{
	return isUserAdmin($_SESSION['user']);
}

function isUsername($user)
{
	global $userlist, $htmlHeading;
	($users = @file($userlist)) or die("{$htmlHeading}Could not open file <b>$userlist</b>");
	$user = strtolower($user);
	foreach ($users as $userInfo)
	{
		if (strtolower(substr(rtrim($userInfo), 33)) == $user)
		{
			return 1;
		}
	}
	return 0;
}

function numAdmins()
{
	global $userlist, $htmlHeading;
	$num = 0;
	($users = @file($userlist)) or die("{$htmlHeading}Could not open file <b>$userlist</b>");
	foreach ($users as $userInfo)
	{
		if (substr($userInfo, 32, 1) === '1')
		{
			$num++;
		}
	}
	return $num;
}

function get_filesize($size)
//give a size in bytes, and this will return the appropriate measurement format
{
	$size = max(0, $size);
	$u = array('&nbsp;B', 'KB', 'MB', 'GB');
	for ($i=0; $size >= 1024 && $i < 4; $i++)
	{
		$size /= 1024;
	}
	return number_format($size, 1).' '.$u[$i];
}

function getAllFiles($path)
//returns every file and folder in $path
{
	$list = array();
	if (($hndl = @opendir($path)) === false)
	{
		return $list;
	}
	while (($file=readdir($hndl)) !== false)
	{
		if ($file != '.' && $file != '..')
		{
			$list[] = $file;
		}
	}
	closedir($hndl);
	return $list;
}

function GetFileList($path)
//returns an array of filenames. Filters out "bad" files
{
	global $sub_folder_access, $links_file;
	$f = $d = array();
	$list = getAllFiles($path);
	for ($i=0; $i<count($list); $i++)
	{
		if (!isHidden($list[$i]))
		{
			if (is_file("$path/".$list[$i]))
			{
				$f[] = $list[$i];
			}
			else if ($sub_folder_access && is_dir("$path/".$list[$i]))
			{
				$d[] = $list[$i];
			}
		}
	}
	if ($links_file != '' && ($links = @file($path.$links_file)))
	{
		for ($i=0; $i<count($links); $i++)
		{
			$p = strpos($links[$i], '|');
			if ($p === false)
			{
				//the pipe at the ends shows that it is a linked file
				$f[] = rtrim($links[$i]).'|';
			}
			else
			{
				$f[] = substr(rtrim($links[$i]), 0, $p).'|';
			}
		}
	}
	natcasesort($d);
	natcasesort($f);
	return array_merge($d, $f);
}

function dir_size($dir)
//returns the total size of a directory (recursive) in bytes
{
	$totalsize = 0;
	$list = GetFileList($dir);
	for ($i=0; $i<count($list); $i++)
	{
		if (is_dir("$dir/".$list[$i]))
		{
			$totalsize += dir_size("$dir/".$list[$i]);
		}
		else
		{
			$totalsize += max(filesize("$dir/".$list[$i]), 0);
		}
	}
	return $totalsize;
}

function searchFn($filename, $string)
{
	if (preg_match_all("/(?<=\")[^\"]+(?=\")|[^ \"]+/", $string, $matches))
	{
		foreach ($matches[0] as $w)
		{
			if (ereg('[^/\.]+', $w) && stristr($filename, $w))
			{
				return 1;
			}
		}
	}
	return 0;
}

function search_dir($sdir, $string)
//returns files/folders (recursive) in $sdir that contain $string
{
	global $searchMode;
	//searchMode: d=folders, f=files, fd=both

	$found = array();
	$list = GetFileList($sdir);
	for ($i=0; $i<count($list); $i++)
	{
		if ((is_file($sdir.$list[$i]) || ereg('\|$', $list[$i])) && stristr($searchMode, 'f') && searchFn($list[$i], $string))
		{
			$found[] = $sdir.$list[$i];
		}
		else if (is_dir($sdir.$list[$i]))
		{
			if (stristr($searchMode, 'd') && searchFn($list[$i], $string))
			{
				$found[] = $sdir.$list[$i];
			}
			$found = array_merge($found, search_dir($sdir.$list[$i].'/', $string));
		}
	}
	return $found;
}

function get_perms($file)
//returns the permissions of $file in standard unix format
{
	$p_bin = substr(decbin(fileperms($file)), -9);
	$p_arr = explode('.', substr(chunk_split($p_bin, 1, '.'), 0, 17));
	$perms = '';
	for ($i=0; $i<count($p_arr); $i++)
	{
		$perms .= ($p_arr[$i]=='1' ? ($i%3==0 ? 'r' : ($i%3==1 ? 'w' : 'x')) : '-' ).($i%3==2 ? ' ' : '');
  	}
	return substr($perms, 0, -1);
}

function num_files($dir)
//returns the number of files in $dir (recursive)
{
	$count = 0;
	$list = GetFileList($dir);
	for ($i=0; $i<count($list); $i++)
	{
		if (is_dir("$dir/".$list[$i]))
		{
			$count += num_files("$dir/".$list[$i]);
		}
		else
		{
			$count++;
		}
	}
	return $count;
}

function icon($ext)
//find the appropriate icon depending on the extension (returns a link to the image file)
{
	global $imagepath;
	if ($imagepath == '')
	{
		return '';
	}
	if ($ext == '')
	{
		$icon = 'generic';
	}
	else
	{
		$icon = 'unknown';
		static $types = null;
		if ($types === null)
		{
			$types = array(
			'binary' => array('exe', 'bin', 'msi'),
			'binhex' => array('hqx'),
			'cd' => array('cue', 'mds', 'iso', 'nrg', 'mdf', 'ccd', 'bwt', 'cdi', 'img'),
			'dll' => array('dll', '386', 'db', 'ocx', 'sdb', 'vxd'),
			'tar' => array('tar'),
			'doc' => array('doc', 'rtf', 'wri', 'dif', 'cwk', 'ans', 'mcw', 'wps'),
			'xls' => array('xla', 'xls', 'xlt', 'xlw', 'csv', 'dbf', 'prn'),
			'ppt' => array('ppt', 'pps', 'pot', 'ppa', 'emf'),
			'ps' => array('ps'),
			'pdf' => array('pdf', 'edn', 'pdx', 'pdp'),
			'java' => array('jar', 'java', 'jtk', 'class'),
			'js' => array('js', 'jse', 'vbs', 'ebs', 'wsc', 'wsf', 'wsh'),
			'compressed' => array('zip', 'z', 'tgz', 'gz', 'rar', 'bz2', '7z', 'ace', 'lzh', 'xxe',
				'sit', 'arc', 'taz', 'tbz', 'tbz2', 'deb', 'rpm', 'cab', 'zoo', 'arj', 'lha'),
			'image' => array('jpg', 'png', 'bmp', 'gif', 'tif', 'tga', 'jpeg', 'tiff', 'psd',
				'jpc', 'jp2', 'jpx', 'swc', 'jfif', 'art', 'ico', 'jpe'),
			'movie' => array('mpg', 'avi', 'divx', 'mpeg', 'ram', 'wmv', 'mpe', 'asf',
				'mkv', 'asx', 'ogm'),
			'mov' => array('mov', 'qt', 'mac', 'mpg4', 'pct', 'pic', 'pict', 'pnt', 'pntg', 'qti',
				'qtif', 'qtl', 'qts', 'qtx'),
			'sound' => array('mp3', 'mp2', 'ogg', 'wav', 'mpc', 'flac', 'ape', 'aac', 'mp4', 'aif', 'aiff', 'au',
				'mid', 'midi', 'vqf', 'mod', 'wma', 'voc', 'mp+', 'mpp', 'bonk', 'ofr', 'shn', 'lqt', 'mpga',
				'ra', 'pac', 'wv', 'mka', 'mp1', 'spc', 'rmjb', 'rm', 'm4a', 'wave', 'pcm', 'la'),
			'uu' => array('uue', 'uu', 'uud'),
			'text' => array('txt', 'md5', 'sfv', 'c', 'cpp', 'h', 'm3u', 'cc', 'cp'),
			'comp' => array('nfo', 'ini', 'inf', 'cfg', 'log', 'conf'),
			'web' => array('html', 'htm', 'php', 'asp', 'phps', 'css', 'shtml', 'phtml', 'pl', 'perl',
				'swf', 'cgi', 'php3', 'mht', 'mhtml', 'xml', 'jsp', 'com', 'org', 'net'),
			'key' => array('pgp', 'asc', 'ppk'));
		}
		foreach ($types as $png_name => $exts)
		{
			if (in_array($ext, $exts))
			{
				$icon = $png_name;
				break;
			}
		}
	}
	return "<img border=\"0\" alt=\"[$ext]\" height=\"16\" width=\"16\" src=\"$imagepath/$icon.png\" /> ";
}

function editDesc($fn, &$desc)
//edits a file's description
{
	global $description_file, $htmlHeading;
	if ($description_file == '')
	{
		return;
	}
	$wrote = 0;
	$l = @file($description_file) or $l = array();
	$h = @fopen($description_file, 'w') or die('Cannot open description file for writing.');
	for ($i=0; $i<count($l); $i++)
	{
		$items = explode('|', rtrim($l[$i]), 2);
		if (count($items) == 2 && $fn == $items[0])
		{
			fwrite($h, "$fn|$desc\n");
			$wrote = 1;
		}
		else
		{
			fwrite($h, $l[$i]);
		}
	}
	if (!$wrote && strlen($desc))
	{
		fwrite($h, "$fn|$desc\n");
	}
	fclose($h);
}

function getStoredInfo($item, $filename)
{
	if ($descContents = @file($filename))
	{
		for ($i=0; $i<count($descContents); $i++)
		{
			$items = explode('|', rtrim($descContents[$i]), 2);
			if (count($items) == 2 && $item == $items[0])
			{
				return $items[1];
			}
		}
	}
	return '';
}

function translate_uri($uri)
//rawurlencodes $uri, but not any slashes
{
	$parts = explode('/', str_replace('\\', '/', $uri));
	for ($i=0; $i<count($parts); $i++)
	{
		$parts[$i] = rawurlencode($parts[$i]);
	}
	return implode('/', $parts);
}

function tableHeading($title, $sortMode, $tooltip)
{
	global $index, $thisFile, $subdir;
	echo "\n<th class='default_th'><a title=\"$tooltip\" href=\""
		.(($index == '') ? "$thisFile?" : "$index&")
		.'dir=' . translate_uri($subdir) . '&sort='
		.(($_SESSION['sort'] == 'a' && $_SESSION['sortMode'] == $sortMode) ? 'd' : 'a')
		.'&sortMode='.$sortMode.'"><b><font color="#000000">'.$title.'</font></b></a></th>';
}

if ($use_login_system && isset($_POST['user'], $_POST['pass']) && strlen($_POST['user']) && strlen($_POST['pass']))
//check login
{
	if (checkLogin($_POST['user'], md5($_POST['pass'])))
	{
		if ($log_file != '' && !match_in_array($ip, $dont_log_these_ips))
		{
			$write = fopen($log_file, 'a');
			fwrite($write, date('Y-M-d') . "\t" . date('H:i:s') . "\t$ip\t$host\t$referrer\t$dir\tSuccessful Login (username: ".$_POST['user'].")\n");
			fclose($write);
		}
		$_SESSION['user'] = $_POST['user'];
		$_SESSION['pass'] = md5($_POST['pass']);
		unset($_POST['pass'], $_POST['user']);
		header('Location: ' . (($index == '') ? $thisFile : $index));
		echo $htmlHeading.'<p>You have been logged in. <a class="default_a" href="'.(($index == '') ? $thisFile : $index);
		die('">Continue.</a></p>');
	}
	else
	{
		echo '<h3>Invalid Login.</h3>';
		if ($log_file != '' && !match_in_array($ip, $dont_log_these_ips))
		{
			$write = fopen($log_file, 'a');
			fwrite($write, date('Y-M-d') . "\t" . date('H:i:s') . "\t$ip\t$host\t$referrer\t$dir\tInvalid Login (username: ".$_POST['user'].")\n");
			fclose($write);
		}
		sleep(1); //"freeze" the script for a second to prevent brute force attacks
	}
}

if ($use_login_system && $must_login_to_download && !loggedIn())
//must login to download
{
	echo $htmlHeading;
	if ($header != '')
	{
		if ($header_per_folder)
		{
			$header = $dir.$header;
		}
		if (is_file($header))
		{
			include($header);
		}
	}
	echo '<p>You must login to download and view files.</p>';
	show_login_box();
	if ($footer != '')
	{
		if ($footer_per_folder)
		{
			$footer = $dir.$footer;
		}
		if (is_file($footer))
		{
			include($footer);
		}
	}
	die();
}

if ($md5_show && isset($_GET['md5']))
{
	$file = $dir.evalDir(rawurldecode($_GET['md5']));
	if (!is_file($file))
	{
		die($htmlHeading.'<p>Error: file does not exist.</p>');
	}
	$size = max(0, filesize($file));
	if (!$size || $size/1048576 > $md5_show)
	{
		die($htmlHeading.'<p><b>Error</b>: empty file, or file too big to find the md5sum of (according to the $md5_show variable).</p>');
	}
	die(md5_file($file));
}

if (isset($_GET['sort']))
{
	$_SESSION['sort'] = $_GET['sort'];
}
else if (!isset($_SESSION['sort']))
{
	//'a' is ascending, 'd' is descending
	$_SESSION['sort'] = 'a';
}

if (isset($_GET['sortMode']))
{
	$_SESSION['sortMode'] = $_GET['sortMode'];
}
else if (!isset($_SESSION['sortMode']))
{
	//'f' is filename, 's' is size, 'm' is date (modified), 'h' is downloads (hits), 'd' is description
	$_SESSION['sortMode'] = 'f';
}

//size of the "chunks" that are read at a time from the file (when $force_download is on)
$speed = ($bandwidth_limit ? $bandwidth_limit : 4);

if ($folder_expansion)
{
	if (!isset($_SESSION['expanded']))
	{
		$_SESSION['expanded'] = array();
	}
	if (isset($_GET['expand']))
	{
		$temp = $dir.evalDir(rawurldecode($_GET['expand']));
		if (strlen($temp) && is_dir($temp) && !in_array($temp, $_SESSION['expanded']))
		{
			$_SESSION['expanded'][] = $temp;
		}
	}
	if (isset($_GET['collapse']))
	{
		$temp = $dir.evalDir(rawurldecode($_GET['collapse']));
		if (strlen($temp) && in_array($temp, $_SESSION['expanded']))
		{
			array_splice($_SESSION['expanded'], array_search($temp, $_SESSION['expanded']), 1);
		}
	}
}

if ($allow_uploads && (!$use_login_system || loggedIn()))
//upload a file
{
	if (isset($_FILES) && count($_FILES))
	{
		$uploadedFiles = $errors = '';
		for ($i=0; $i<count($_FILES); $i++)
		{
			if ($_FILES[$i]['name'] != '')
			{
				$filename = get_basename($_FILES[$i]['name']);
				$fullpathname = realpath($base_dir.evaldir(rawurldecode($_POST['dir']))).'/'.$filename;
				if (isHidden($filename))
				{
					$errors .= "<li>$filename [filename is listed as a hidden file]</li>";
				}
				else if (!$allow_file_overwrites && file_exists($fullpathname))
				{
					$errors .= "<li>$filename [file already exists]</li>";
				}
				else if (@move_uploaded_file($_FILES[$i]['tmp_name'], $fullpathname))
				{
					$uploadedFiles .= "<li>$filename</li>";
				}
				else
				{
					$errors .= "<li>$filename</li>";
				}
			}
		}
		if ($errors == '')
		{
			$errors = '<br />[None]';
		}
		if ($uploadedFiles == '')
		{
			$uploadedFiles = '<br />[None]';
		}
		echo "{$htmlHeading}<p><b>Uploaded files</b>: $uploadedFiles</p><p><b>Failed files</b>: $errors</p><p><a class=\"default_a\" href=\""
			.(($index == '') ? "$thisFile?" : "$index&").'dir='.$_POST['dir'];
		die('">Continue.</a></p>');
	}
	else if (isset($_POST['numUpload']))
	{
		echo "$htmlHeading<p><table border='0' cellpadding='8' cellspacing='0'><tr class='paragraph'><td class='default_td'>
		<form enctype='multipart/form-data' action='$thisFile' method='post'>
		<input type='hidden' name='dir' value='".$_POST['dir']."' />
		";
		if ($index != '')
		{
			$id_temp = explode('=', $index, 2);
			$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
			echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
		}
		for ($i=0; $i<intval($_POST['numUpload']); $i++)
		{
			$n = $i+1;
			echo $words['file']." $n : <input name='$i' type='file' /><br />";
		}
		die('
		<p><input class="button" type="submit" value="Upload Files" /></p>
		</form></td></tr></table></p>
		');
	}
}

if ($use_login_system && loggedIn() && isAdmin())
{
	$con = '<p><a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&").'dir='
		.translate_uri($subdir).'">Continue.</a></p>';

	if (isset($_GET['getcreate']))
	{
		echo "$htmlHeading<p><table border='0' cellpadding='8' cellspacing='0'><tr class='paragraph'><td class='default_td'>
		Enter the name of the folder you would like to create:
		<form method='get' action='$thisFile'>
		<input type='hidden' name='dir' value='".translate_uri($subdir)."' />";
		if ($index != '')
		{
			$id_temp = explode('=', $index, 2);
			$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
			echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
		}
		die('<p><input type="text" name="create" /></p>
		<p><input class="button" type="submit" value="Create" /></p>
		</form></td></tr></table></p>');
	}
	else if (isset($_GET['create']))
	{
		$p = $dir.evalDir($_GET['create']);
		if (is_dir($p))
		{
			$msg = 'Folder already exists: ';
		}
		else
		{
			$msg = (@mkdir($p) ? 'Folder successfully created: ' : 'Could not create folder: ');
		}
		die($htmlHeading.$msg.htmlentities($p).$con);
	}
	else if ($description_file != '' && isset($_GET['descFile'], $_GET['desc'], $_GET['dir']))
	{
		$desc = trim(rawurldecode($_GET['desc']));
		$descFile = trim(rawurldecode($_GET['descFile']));
		editDesc($dir.$descFile, $desc);
	}
	else if ($description_file != '' && isset($_GET['descFile']))
	{
		$filen = rawurldecode($_GET['descFile']);
		echo "$htmlHeading<p><table border='0' cellpadding='8' cellspacing='0'><tr class='paragraph'><td class='default_td'>
		Enter the new description for the file <i>$filen</i>:
		<form method='get' action='$thisFile'>
		<input type='hidden' name='dir' value='".translate_uri($subdir)."' />
		<input type='hidden' name='descFile' value='".translate_uri($filen).'\' />';
		if ($index != '')
		{
			$id_temp = explode('=', $index, 2);
			$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
			echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
		}
		die('<p><input type="text" name="desc" size="50" value="'.getStoredInfo($dir.$filen, $description_file).'" /></p>
		<p><input class="button" type="submit" value="Change" /></p>
		</form></td></tr></table></p>');
	}
	else if (isset($_GET['edit_links']))
	{
		echo $htmlHeading.'<p><table border="0" cellpadding="8" cellspacing="0"><tr class="paragraph"><td class="default_td">';
		if ($links_file == '')
		{
			echo 'The link system is not in use.<br />To turn it on, set the $links_file variable.';
		}
		else if (isset($_GET['link'], $_GET['name']))
		{
			if ($handle = @fopen($dir.$links_file, 'a'))
			{
				fwrite($handle, $_GET['link'].'|'.$_GET['name']."\n");
				fclose($handle);
				echo 'Link added.';
			}
			else
			{
				echo 'Could not open links_file for writing.';
			}
		}
		else if (isset($_GET['remove']))
		{
			if (($list = @file($dir.$links_file)) && ($handle = @fopen($dir.$links_file, 'w')))
			{
				for ($i=0; $i<count($list); $i++)
				{
					if (rtrim($list[$i]) != rtrim($_GET['remove']))
					{
						fwrite($handle, $list[$i]);
					}
				}
				fclose($handle);
				echo 'Link removed.';
			}
			else
			{
				echo 'Could not open links_file.';
			}
		}
		else
		{
			echo '<h3>Add a new link:</h3><font size="1">for the directory <i>'.htmlentities($dir)
			."</i></font><form method='get' action='$thisFile'>"
			.'<input type="hidden" name="dir" value="'.translate_uri($subdir)
			.'" /><p>URL: <input type="text" name="link" size="40" value="http://" />
			<br />Name: <input type="text" name="name" size="35" /><br /><font size="1">(Leave "name" blank for the URL itself to be shown.)</font></p>';
			if ($index != '')
			{
				$id_temp = explode('=', $index, 2);
				$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
				echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
			}

			echo '<input type="hidden" name="edit_links" value="true" /><p><input class="button" type="submit" value="Add" /></p></form></td></tr></table></p>'
				.'<p><table border="0" cellpadding="8" cellspacing="0"><tr class="paragraph"><td class="default_td">'
				.'<h3>Remove a link:</h3>'."<form method='get' action='$thisFile'>"
				.'<input type="hidden" name="dir" value="'.translate_uri($subdir).'" />'
				.'<input type="hidden" name="edit_links" value="true" />';
			if ($index != '')
			{
				$id_temp = explode('=', $index, 2);
				$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
				echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
			}
			$list = @file($dir.$links_file) or $list = array();
			echo '<select name="remove">';
			for ($i=0; $i<count($list); $i++)
			{
				echo '<option>'.$list[$i].'</option>';
			}
			echo '</select><p><input class="button" type="submit" value="Delete" /></form></p>';
		}
		die('</p></td></tr></table>'.$con);
	}
	else if (isset($_GET['copyFile'], $_GET['protocol']))
	{
		$remote = $_GET['protocol'].$_GET['copyFile'];
		$local = $dir.get_basename($remote);
		if (!$allow_file_overwrites && is_file($local))
		{
			die("{$htmlHeading}File already exists: <i>$local</i>$con");
		}
		$r = @fopen($remote, 'r') or die("{$htmlHeading}Cannot open remote file for reading: <i>$remote</i>$con");
		$l = @fopen($local, 'w') or die("{$htmlHeading}Cannot open local file for writing: <i>$local</i>$con");
		while (true)
		{
			$temp = fread($r, 4096);
			if (!strlen($temp))
			{
				break;
			}
			fwrite($l, $temp);
		}
		fclose($l);
		fclose($r);
		die("{$htmlHeading}Remote file <i>$remote</i> successfully copied to <i>$local</i>$con");
	}
	else if (isset($_GET['copyURL']))
	{
		echo "$htmlHeading<p><table border='0' cellpadding='8' cellspacing='0'><tr class='paragraph'><td class='default_td'>
		Enter the name of the remote file you would like to copy:
		<form method='get' action='$thisFile'>
		<input type='hidden' name='dir' value='".translate_uri($subdir)."' />";
		if ($index != '')
		{
			$id_temp = explode('=', $index, 2);
			$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
			echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
		}
		die('<p><input type="radio" name="protocol" value="http://" checked />http://
		<br /><input type="radio" name="protocol" value="ftp://" />ftp://
		<input type="text" name="copyFile" /></p>
		<p><input class="button" type="submit" value="Copy" /></p>
		</form></td></tr></table></p>');
	}
	else if (isset($_GET['rename']))
	{
		echo $htmlHeading.'<p><table border="0" cellpadding="8" cellspacing="0"><tr class="paragraph"><td class="default_td">';
		$p = $dir.evalDir(rawurldecode($_GET['rename']));
		if (isset($_GET['newName']))
		{
			$newName = $dir.evalDir(rawurldecode($_GET['newName']));
			if ($p == $newName)
			{
				$msg = 'The filename is unchanged for ';
			}
			else if (@rename($p, $newName))
			{
				$msg = 'Rename successful for ';
				if ($download_count != '')
				{
					$l = @file($download_count) or $l = array();
					if ($h = @fopen($download_count, 'w'))
					{
						for ($i=0; $i<count($l); $i++)
						{
							$items = explode('|', rtrim($l[$i]), 2);
							if (count($items) == 2 && $p == $items[0])
							{
								fwrite($h, $newName.'|'.$items[1]."\n");
							}
							else
							{
								fwrite($h, $l[$i]);
							}
						}
						fclose($h);
					}
				}
				if ($description_file != '')
				{
					$l = @file($description_file) or $l = array();
					if ($h = @fopen($description_file, 'w'))
					{
						for ($i=0; $i<count($l); $i++)
						{
							$items = explode('|', rtrim($l[$i]), 2);
							if (count($items) == 2 && $p == $items[0])
							{
								fwrite($h, $newName.'|'.$items[1]."\n");
							}
							else
							{
								fwrite($h, $l[$i]);
							}
						}
						fclose($h);
					}
				}
			}
			else
			{
				$msg = 'Rename failed for ';
			}
			die($htmlHeading.$msg.htmlentities($p).$con.'</td></tr></table></p>');
		}
		echo '<p>Renaming <i>'.htmlentities($p)."</i></p><p>New Filename:
		<form method='get' action='$thisFile'>
		<input type='hidden' name='dir' value='".translate_uri($subdir)."' />
		<input type='hidden' name='rename' value='".translate_uri($_GET['rename']).'\' />';
		if ($index != '')
		{
			$id_temp = explode('=', $index, 2);
			$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
			echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
		}
		die('<input type="text" name="newName" size="40" value="'.$_GET['rename'].'" /></p>
		<p><input class="button" type="submit" value="Rename" /></p></td></tr></table></p>');
	}
	else if (isset($_GET['delete']))
	{
		echo $htmlHeading.'<p><table border="0" cellpadding="8" cellspacing="0"><tr class="paragraph"><td class="default_td">';
		$_GET['delete'] = rawurldecode($_GET['delete']);
		$p = $dir.evalDir($_GET['delete']);
		if (isset($_GET['sure'])) //try to delete the file
		{
			if (is_dir($p))
			{
				$msg = (@rmdir($p) ? 'Folder successfully deleted: ' : 'Could not delete folder (make sure it is empty) ');
			}
			else if (is_file($p))
			{
				$msg = (@unlink($p) ? 'File successfully deleted: ' : 'Could not delete file: ');
			}
			else
			{
				$msg = 'File or folder does not exist: ';
			}
		}
		else //ask user for confirmation
		{
			$msg = 'Are you sure you want to delete <i>';
			$con = '</i><p><a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&").'dir='.translate_uri($subdir).'&delete='.translate_uri($_GET['delete'])
				.'&sure=true">Yes, delete it.</a></p><p><a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&").'dir='.translate_uri($subdir).'">No, go back.</a></p>';
		}
		die($htmlHeading.$msg.htmlentities($p).$con.'</td></tr></table></p>');
	}
}

function addNumToArray($num, &$array)
{
	if (array_key_exists($num, $array))
	{
		$array[$num]++;
	}
	else
	{
		$array[$num] = 1;
	}
}

if ($use_login_system && isset($_GET['log']))
//logfile viewer
{
	echo $htmlHeading.'<p>';
	if (!loggedIn())
	{
		echo 'You must login to access this page.';
	}
	else if (!isAdmin())
	{
		echo 'You must be an admin to access this page.';
	}
	else if (!strlen($log_file))
	{
		echo 'The logging system is not in use.<br />To turn it on, set the $log_file variable.';
	}
	else if (isset($_GET['view']))
	{
		$log = @file($log_file) or die("Cannot open log file: <i>$log_file</i>");
		$num = min(intval($_GET['view']), count($log));
		echo "<p>Last $num log entries (of ".count($log).')</p><table width="100%">'
			.'<th class="default_th">Date</th><th class="default_th">Time</th><th class="default_th">IP</th><th class="default_th">Hostname</th><th class="default_th">Referrer</th><th class="default_th">File/Folder Viewed</th><th class="default_th">Other</th>';
		for ($i=0; $i<$num; $i++)
		{
			$entries = explode("\t", rtrim($log[count($log)-$i-1]));
			$numEntries = count($entries);
			if ($numEntries < 6)
			{
				continue;
			}
			echo "\n<tr class=" . (($i % 2) ? '"darkrow">' : '"lightrow">');
			for ($j=0; $j<$numEntries; $j++)
			{
				echo '<td class="default_td">';
				if (($j == 4 && $entries[4] != 'N/A') || ($j == 5 && !eregi("^$base_dir", $entries[5])))
				{
					echo '<a class="default_a" href="'.$entries[$j].'">'.htmlentities($entries[$j]).'</a>';
				}
				else
				{
					echo htmlentities($entries[$j]);
				}
				echo '</td>';
			}
			if ($numEntries == 6)
			{
				echo '<td class="default_td">&nbsp;</td>';
			}
			echo '</tr>';
			flush();
		}
		echo '</table>';
	}
	else if (isset($_GET['stats']))
	{
		include($path_to_language_files.'country_codes.php');
		$extensions = $dates = $uniqueHits = $countries = array();
		$totalHits = 0;
		$h = @fopen($log_file, 'r') or die("Cannot open log file: <i>$log_file</i>");
		while (!feof($h))
		{
			$entries = explode("\t", rtrim(fgets($h, 1024)));
			if (count($entries) < 6)
			{
				continue;
			}

			//find the number of unique visits
			if ($entries[5] == $base_dir)
			{
				$totalHits++;
				if (!in_array($entries[3], $uniqueHits))
				{
					$uniqueHits[] = htmlentities($entries[3]);
				}

				//find country codes by hostnames
				if (($cc = htmlentities(strtolower(substr(strrchr($entries[3], '.'), 1)))) !== false && eregi('^[a-z]+$', $cc))
				{
					addNumToArray($cc, $countries);
				}

				addNumToArray($entries[0], $dates); //find the dates of the visits
			}

			//find file extensions
			else if (($ext = htmlentities(strtolower(strrchr($entries[5], '.')))) !== false && ereg('^[^ \\/]+$', $ext))
			{
				addNumToArray($ext, $extensions);
			}
		}
		fclose($h);
		$numDays = count($dates);
		$avg = round($totalHits/$numDays);

		echo '<p><table width="40%"><th class="default_th">&nbsp;</th><th class="default_th">Total</th><th class="default_th">Daily</th>'
			."<tr class='lightrow'><td class='default_td'>Hits</td><td class='default_td'>$totalHits</td><td class='default_td'>$avg"
			.'</td></tr><tr class="lightrow"><td class="default_td">Unique Hits</td><td class="default_td">'.count($uniqueHits).'</td><td class="default_td">'.round(count($uniqueHits)/$numDays)
			.'</td></tr></table>Percent Unique: '.number_format(count($uniqueHits)/$totalHits*100, 1).'</p>';

		arsort($extensions);
		arsort($countries);

		$dateNums = array_values($dates);
		echo '<p><table width="75%" border="0"><tr><th class="default_th">Date</th><th class="default_th">Hits That Day</th><th class="default_th">Change From Previous Day</th><th class="default_th">Difference From Average ('.$avg.')</th></tr>';
		$i = 0;
		foreach ($dates as $day => $num)
		{
			$change = 0;
			$diff = $num - $avg;
			if ($i > 0)
			{
				$change = $num - $dateNums[$i-1];
			}

			if ($diff > 0)
			{
				$diff = '<font color="#00FF00">+' . $diff . '</font>';
			}
			else if ($diff < 0)
			{
				$diff = '<font color="#FF0000">' . $diff . '</font>';
			}

			if ($change > 0)
			{
				$change = '<font color="#00FF00">+' . $change . '</font>';
			}
			else if ($change < 0)
			{
				$change = '<font color="#FF0000">' . $change . '</font>';
			}
			$class = (($i++%2) ? 'darkrow' : 'lightrow');
			echo "<tr class='$class'><td class='default_td'>$day</td><td class='default_td'>$num</td><td class='default_td'>$change</td><td class='default_td'>$diff</td></tr>";
		}
		echo '</table></p>';

		flush();

		echo '<p><table width="75%" border="0"><tr><th class="default_th">Downloads based on file extensions</th><th class="default_th">Total</th><th class="default_th">Daily</th></tr>';
		$i = 0;
		foreach ($extensions as $ext => $num)
		{
			$class = (($i++%2) ? 'darkrow' : 'lightrow');
			echo "<tr class='$class'><td class='default_td'>$ext</td><td class='default_td'>$num</td><td class='default_td'>".number_format($num/$numDays, 1)."</td></tr>";
		}
		echo '</table></p>';

		flush();

		echo '<p><table width="75%" border="0"><tr><th class="default_th">Hostname ISP extension</th><th class="default_th">Total</th><th class="default_th">Daily</th></tr>';
		$i = 0;
		foreach ($countries as $c => $num)
		{
			$c_code = (isset($country_codes[strtoupper($c)]) ? ' <font size="1">('.$country_codes[strtoupper($c)].')</font>' : '');
			$class = (($i++%2) ? 'darkrow' : 'lightrow');
			echo "<tr class='$class'><td class='default_td'>$c{$c_code}</td><td class='default_td'>$num</td><td class='default_td'>".number_format($num/$numDays, 1)."</td></tr>\n";
		}
		echo '</table></p>';
	}
	else
	{
		echo '<table border="0" cellpadding="8" cellspacing="0"><tr class="paragraph"><td class="default_td">'
		."<form method='get' action='$thisFile'>
		<input type='hidden' name='log' value='true' />";
		if ($index != '')
		{
			$id_temp = explode('=', $index, 2);
			$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
			echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
		}
		echo '<p>List the latest <input type="text" size="2" name="view" /> enties in the log file.<input class="button" type="submit" value="Go" /></p></form>
		<p>or <a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&").'log=true&stats=true">view statistics</a>.</p></td></tr></table>';
	}
	die('</p><p><a class="default_a" href="'.(($index == '') ? $thisFile : $index).'">Continue.</a></p>');
}

if ($use_login_system && (isset($_POST['admin']) || isset($_GET['admin'])))
//user admin section
{
	echo $htmlHeading;
	if (!loggedIn())
	{
		echo 'You must login to access this page.';
	}
	else if (!isAdmin())
	{
		echo 'You must be an admin to access this page.';
	}
	else if (isset($_POST['username'], $_POST['password1'], $_POST['password2'], $_POST['admin']))
	{
		$regExp = '^[A-Za-z0-9_-]+$';
		if (!ereg($regExp, $_POST['username']))
		{
			echo "<p>The username must match the regular expression: <b>$regExp</b></p>";
		}
		else if (strlen($_POST['password1']) < 6)
		{
			echo '<p>Password must be at least 6 characters long.</p>';
		}
		else if ($_POST['password1'] != $_POST['password2'])
		{
			echo '<p>Passwords do not match.</p>';
		}
		else if (isUsername($_POST['username']))
		{
			echo '<p>That username already exists.</p>';
		}
		else
		{
			$handle = @fopen($userlist, 'a') or die("<p>Could not open file <i>$userlist</i> for writing.</p>");
			fwrite($handle, md5($_POST['password1']).$_POST['admin'].$_POST['username']."\n");
			fclose($handle);
			echo '<p>User added. <a class="default_a" href="'.(($index == '') ? $thisFile : $index).'">Continue.</a></p>';
		}
	}
	else if (isset($_POST['deluser'], $_POST['doit']))
	{
		if ($_POST['doit'])
		{
			if (isUserAdmin($_POST['deluser']) && numAdmins() < 2)
			{
				echo 'You cannot remove this user, because it is the only admin.<br />Create another user with admin rights, then delete this user.';
			}
			else
			{
				$users = @file($userlist) or die("Could not open file <b>$userlist</b>");
				$handle = @fopen($userlist, 'w') or die("Could not open file <b>$userlist</b> for writing.");
				$deluser = strtolower($_POST['deluser']);
				foreach ($users as $userInfo)
				{
					if (strtolower(substr(rtrim($userInfo), 33)) != $deluser)
					{
						fwrite($handle, $userInfo);
					}
				}
				fclose($handle);
				echo '<p>User <b>'.$_POST['deluser'].'</b> has been removed. <a class="default_a" href="'
					.(($index == '') ? $thisFile : $index).'">Continue.</a></p>';
			}
		}
		else
		{
			echo '<p><table border="0" cellpadding="8" cellspacing="0"><tr class="paragraph"><td class="default_td">'
				.'Are you sure you want to remove <b>'.$_POST['deluser']."</b>?<p><form method='post' action='$thisFile'>"
				.'<input type="hidden" name="doit" value="1" /><input type="hidden" name="admin" value="true" /><input type="hidden" name="deluser" value="'
				.$_POST['deluser'].'" /><input class="button" type="submit" value="Yes, do it." />';
			if ($index != '')
			{
				$id_temp = explode('=', $index, 2);
				$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
				echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
			}
			echo '</form></td></tr></table></p>';
		}
	}
	else
	{
		$users = @file($userlist) or die("Could not open file <b>$userlist</b>");
		echo "
		<p><table border='0' cellpadding='8' cellspacing='0'><tr class='paragraph'><td class='default_td'>
		<h3>Add a user:</h3>
		<p><form method='post' action='$thisFile'>
		<input type='hidden' name='admin' value='true' />
		Username: <input type='text' name='username' />
		<br />Password: <input type='password' name='password1' />
		<br />Password: <input type='password' name='password2' />
		";
		if ($index != '')
		{
			$id_temp = explode('=', $index, 2);
			$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
			echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
		}
		echo "<br />Is Admin?: <select name='admin'><option selected value='0'>No</option><option value='1'>Yes</option></select>
		<p><input class='button' type='submit' value='Add User' />
		</form></p></td></tr></table><p>

		<p><table border='0' cellpadding='8' cellspacing='0'><tr class='paragraph'><td class='default_td'>
		<h3>Delete a user:</h3>
		<p><form method='post' action='$thisFile'><input type='hidden' name='admin' value='true' />
		Select user to delete: <select name='deluser'>";
		foreach ($users as $userInfo)
		{
			echo '<option>'.substr($userInfo, 33).'</option>';
		}
		if ($index != '')
		{
			$id_temp = explode('=', $index, 2);
			$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
			echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
		}
		echo '</select><input type="hidden" name="doit" value="0" /><p><input class="button" type="submit" value="Delete" /></form><p>
		</td></tr></table></p>';
	}
	die();
}
else if ($use_login_system && isset($_GET['logout']))
//logout
{
	if (!loggedIn())
	{
		die($htmlHeading.'You are not logged in.');
	}
	session_unset();
	session_destroy();
	header('Location: ' . (($index == '') ? $thisFile : $index));
	echo $htmlHeading.'<p>You have been logged out. <a class="default_a" href="'
		.(($index == '') ? $thisFile : $index);
	die('">Continue.</a></p>');
}
else if ($use_login_system && (isset($_POST['passwd']) || isset($_GET['passwd'])))
//change password
{
	echo $htmlHeading;
	if (!loggedIn())
	{
		echo 'You must login to access this page.';
	}
	else if (isset($_POST['oldpass'], $_POST['newpass1'], $_POST['newpass2']))
	{
		if (strlen($_POST['newpass1']) < 6)
		{
			echo 'New password too short (must be at least 6 characters).';
		}
		else if ($_POST['newpass1'] != $_POST['newpass2'])
		{
			echo 'New passwords do not match.';
		}
		else if (checkLogin($_SESSION['user'], md5($_POST['oldpass'])))
		{
			$users = @file($userlist) or die("Could not open file <b>$userlist</b>");
			$handle = @fopen($userlist, 'w') or die("Could not open file <b>$userlist</b> for writing.");
			$uuser = strtolower($_SESSION['user']);
			foreach ($users as $userInfo)
			{
				if (strtolower(substr(rtrim($userInfo), 33)) == $uuser)
				{
					fwrite($handle, md5($_POST['newpass1']).substr($userInfo, 32));
				}
				else
				{
					fwrite($handle, $userInfo);
				}
			}
			fclose($handle);
			echo 'Password for <b>'.$_SESSION['user'].'</b> has been changed.<p>You must now <a class="default_a" href="'
				.(($index == '') ? $thisFile : $index).'">logout</a>.';
		}
		else
		{
			echo 'Incorrect old password.';
		}
	}
	else
	{
		echo "<p><table border='0' cellpadding='8' cellspacing='0'><tr class='paragraph'><td class='default_td'>
		<form method='post' action='$thisFile'>
		<input type='hidden' name='passwd' value='true' />
		Old Password: <input type='password' name='oldpass' />
		<br />New Password: <input type='password' name='newpass1' />
		<br />New Password: <input type='password' name='newpass2' />
		<p><input class='button' type='submit' value='Change Password' />";
		if ($index != '')
		{
			$id_temp = explode('=', $index, 2);
			$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
			echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
		}
		echo '</form></td></tr></table></p>';
	}
	die();
}

$totalBytes = 0;

if ($log_file != '' && !match_in_array($ip, $dont_log_these_ips))
//write to the logfile
{
	$write = fopen($log_file, 'a');
	$location = ((isset($_GET['link'])) ? $_GET['link'] : $dir.$fileDL);
	fwrite($write, date('Y-M-d') . "\t" . date('H:i:s') . "\t$ip\t$host\t$referrer\t$location");
	if ($search != '')
	{
		fwrite($write, "\tSearch: $search");
	}
	fwrite($write, "\n");
	fclose($write);
}

if ((isset($_GET['link']) || $fileDL != '') && $download_count != '' && !match_in_array($ip, $dont_log_these_ips))
{
	$name = $dir.((isset($_GET['link'])) ? rawurldecode($_GET['link']) : $fileDL);
	$counted = 0;
	if ($l = @file($download_count))
	{
		for ($i=0; $i<count($l); $i++)
		{
			$thisc = rtrim($l[$i]);
			if ($name == substr($thisc, 0, strpos($thisc, '|')))
			{
				$counted = 1;
				break;
			}
		}
	}
	if ($counted)
	{
		$w = @fopen($download_count, 'w') or die('Could not open $download_count file for writing.');
		for ($i=0; $i<count($l); $i++)
		{
			$items = explode('|', rtrim($l[$i]), 2);
			if (count($items) == 2 && $items[0] == $name)
			{
				$nc = $items[1] + 1;
				fwrite($w, "$name|$nc\n");
			}
			else
			{
				fwrite($w, $l[$i]);
			}
		}
	}
	else
	{
		$w = @fopen($download_count, 'a') or die('Could not open $download_count file for writing.');
		fwrite($w, "$name|1\n");
	}
	fclose($w);
}

if (isset($_GET['link']))
{
	header('Location: '.$_GET['link']);
	die();
}

if ($fileDL != '')
//if the user specified a file to download, download it now
{
	//check $fileDL for bad things...
	if (!is_file($dir.$fileDL)) //make sure the file exists
	{
		die($htmlHeading.'<h2>Error 404: file not found</h2>'.htmlentities($dir.$fileDL).' was not found on this server.');
	}

	if ($anti_leech && !isset($_SESSION['ref']) && ($referrer == 'N/A' || !stristr($referrer, $_SERVER['SERVER_NAME'])))
	{
		if ($log_file != '' && !match_in_array($ip, $dont_log_these_ips))
		{
			$write = fopen($log_file, 'a');
			fwrite($write, date('Y-M-d') . "\t" . date('H:i:s') . "\t$ip\t$host\t$referrer\t$dir$fileDL\tLeech Attempt\n");
			fclose($write);
		}
		$ref = (($referrer == 'N/A') ? 'typing it in the address bar...' : $referrer);
		echo $htmlHeading.'<h2>This PHP Script has an Anti-Leech feature turned on.<p>Make sure you are accessing this file directly from <a class="default_a" href="http://'.$_SERVER['SERVER_NAME'].'">'
			.htmlentities($_SERVER['SERVER_NAME']).'</a></h2>'
			.'It seems you are trying to get it from <b>'."$ref</b><p>Your IP address has been logged.<br />$ip ($host)";
		$indexLink = 'http://'.$_SERVER['SERVER_NAME'].(($index == '') ? "$thisFile?" : "$index&").'dir='.translate_uri($subdir);
		die('<p>Here is a link to the directory index the file is in:<br /><a class="default_a" href="'.$indexLink.'">'.htmlentities($indexLink).'</a></p>');
	}

	if ($force_download) //use php to read the file, and tell the browser to download it
	{
		if (!($fn = @fopen($dir.$fileDL, 'rb')))
		{
			die($htmlHeading.'<h2>Error 401: permission denied</h2> you cannot access <i>'.htmlentities($fileDL).'</i> on this server.');
		}
		header('Content-Length: '.filesize($dir.$fileDL));
		header('Content-Type: octet/stream');
		header('Content-Disposition: attachment; filename="' . get_basename($fileDL) . '"');
		while (true)
		{
			$temp = fread($fn, round($speed*1024));
			if (!strlen($temp))
			{
				break;
			}
			echo $temp;
			flush();
			if ($bandwidth_limit)
			{
				sleep(1);
			}
		}
		fclose($fn);
		die();
	}
	else
	{
		header('Location: '.translate_uri($dir.$fileDL)); //redirect their browser
	}
}

if ($anti_leech && !isset($_SESSION['ref']))
{
	$_SESSION['ref'] = 1;
}

echo $htmlHeading;

if ($header != '')
{
	if ($header_per_folder)
	{
		$header = $dir.$header;
	}
	if (is_file($header))
	{
		include($header);
	}
}

if (!is_dir($dir))
//make sure the subfolder exists
{
	echo '<p><b>ERROR: The folder <i>'.htmlentities($dir).'</i> does not exist.</b></p>';
	$dir = $base_dir;
	$subdir = '';
}

if ($enable_searching && $search != '')
//show the results of a search
{
	echo '<p><table border="0" cellpadding="8" cellspacing="0"><tr class="paragraph"><td class="default_td"><b>'
		.$words['search results'].'</b> :<br /><font size="1">for <i>'.htmlentities($dir).'</i> and its subdirectories</font></p><p>';
	$results = search_dir($dir, $search);
	natcasesort($results);
	if ($_SESSION['sort'] == 'd' && $_SESSION['sortMode'] == 'f')
	{
			$results = array_reverse($results);
	}
	for ($i=0; $i<count($results); $i++)
	{
		$file = substr($results[$i], strlen($base_dir));
		echo '<a class="default_a" href="' . (($index == '') ? "$thisFile?" : "$index&");
		if (is_dir($base_dir.$file))
		{
			echo 'dir='.translate_uri($file).'/"><img border="0" height="16" width="16" alt="[dir]" src="'.$imagepath.'/dir.png" /> '.htmlentities($file)."/</a><br />\n";
		}
		else if (ereg('\|$', $file))
		{
			$file = substr($file, 0, -1);
			$display = getStoredInfo($file, $dir.$links_file);
			if (!strlen($display))
			{
				$display = $file;
			}
			echo 'dir=' . translate_uri($subdir) . '&link=' . translate_uri($file) . '" title="Link to: '.$file.'">'
				.icon(strtolower(substr(strrchr($display, '.'), 1))).htmlentities($display) . '</a><br />';
		}
		else
		{
			echo 'dir='.translate_uri(dirname($file)).'/&file='.translate_uri(get_basename($file)).'">'
				.icon(strtolower(substr(strrchr($file, '.'), 1))).htmlentities($file)."</a><br />\n";
		}
	}
	if (!count($results))
	{
		echo '</p><p><b>[ '.$words['no results'].' ]</b></p>';
	}
	echo '</p><p>'.$words['end of results'].' ('.count($results).' '.$words['found'].')</td></tr></table></p>';
	show_search_box();
	die('<p><a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&").'dir='.translate_uri($subdir).'">Go back.</a></p>');
}

//pathNav
echo $words['index of'].' <a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&")
	.'dir=">'.htmlentities(substr(str_replace('/', ' / ', $base_dir), 0, -2)).'</a>/ ';
$exploded = explode('/', $subdir);
for ($i=0; $i<count($exploded)-1; $i++)
{
	echo '<a class="default_a" href="' . (($index == '') ? "$thisFile?" : "$index&") . 'dir=';
	for ($j=0; $j<=$i; $j++)
	{
		echo translate_uri($exploded[$j]) . '/';
	}
	echo '">'.htmlentities($exploded[$i]).'</a> / ';
}

echo "\n\n".'<table width="100%" border="0" cellpadding="0" cellspacing="2"><tr>';
tableHeading($words['file'], 'f', 'Sort by Filename');
if ($download_count != '')
{
	tableHeading('Downloads', 'h', 'Sort by Hits');
}
tableHeading($words['size'], 's', 'Sort by Size');
tableHeading($words['modified'], 'm', 'Sort by Date');
if ($description_file != '')
{
	tableHeading('Description', 'd', 'Sort by Description');
}
echo '</tr>';

if ($subdir != '')
//if they are not in the root folder, have a link to the parent directory
{
	echo '<tr class="lightrow"><td class="default_td" colspan="5"><a class="default_a" href="'
		.(($index == '') ? "$thisFile?" : "$index&") . 'dir=';
	$subdir = substr($subdir, 0, -1);
	echo translate_uri(substr($subdir, 0, strrpos($subdir,'/'))).'/">';
	if ($imagepath != '')
	{
		echo "<img border=\"0\" height=\"16\" width=\"16\" src=\"$imagepath/back.png\" alt=\"[dir]\" /> ";
	}
	echo $words['parent directory'].'</a></td></tr>';
	$subdir .= '/';
}

flush();

$file_array = GetFileList($dir);
$size_array = $date_a_array = $date_m_array = $desc_array = $hit_array = array();

for ($i=0; $i<count($file_array); $i++)
{
	$thisf = $dir . $file_array[$i];
	if (ereg('\|$', $thisf)) //it is a link
	{
		$thisf = substr($thisf, 0, -1);
		$date_m_array[] = 'N/A';
		$date_a_array[] = 'N/A';
		$size_array[] = '[Link]';
	}
	else //it is an actual file or folder
	{
		$date_m_array[] = filemtime($thisf);
		$date_a_array[] = fileatime($thisf);
		if (is_dir($thisf))
		{
			if ($show_dir_size)
			{
				$size_array[] = dir_size($thisf);
			}
			else
			{
				$size_array[] = 0;
			}
		}
		else
		{
			$size_array[] = max(filesize($thisf), 0);
		}
	}

	if ($description_file != '')
	{
		$desc_array[] = getStoredInfo($thisf, $description_file);
	}
	else
	{
		$desc_array[] = '';
	}

	if ($download_count != '' && !is_dir($thisf))
	{
		$temp = getStoredInfo($thisf, $download_count);
		$hit_array[] = (strlen($temp) ? intval($temp) : 0);
	}
	else
	{
		$hit_array[] = 0;
	}
}

switch ($_SESSION['sortMode'])
{
	case 's':
		array_multisort($size_array, $file_array, $date_m_array, $date_a_array, $hit_array, $desc_array);
		break;
	case 'm':
		array_multisort($date_m_array, $size_array, $file_array, $date_a_array, $hit_array, $desc_array);
		break;
	case 'd':
		array_multisort($desc_array, $date_m_array, $size_array, $file_array, $date_a_array, $hit_array);
		break;
	case 'h':
		array_multisort($hit_array, $date_m_array, $size_array, $file_array, $date_a_array, $desc_array);
}

if ($_SESSION['sort'] == 'd')
{
	$file_array = array_reverse($file_array);
	$size_array = array_reverse($size_array);
	$date_m_array = array_reverse($date_m_array);
	$date_a_array = array_reverse($date_a_array);
	$desc_array = array_reverse($desc_array);
	$hit_array = array_reverse($hit_array);
}

$folderCount = $fileCount = $dlCount = 0;

for ($i=0; $i<count($file_array); $i++)
//display the list of files
{
	$value = $file_array[$i];
	echo "\n<tr class=" . (($i % 2 == ($subdir == '')) ? '"darkrow">' : '"lightrow">');

	//file column
	echo '<td class="default_td" align="left" valign="top"><a class="default_a" href="'
		.(($index == '') ? "$thisFile?" : "$index&");
	$npart = $dir.$value;
	if (ereg('\|$', $value)) //it is a link, not an actual file
	{
		$value = substr($value, 0, -1);
		$npart = substr($npart, 0, -1);
		$display = getStoredInfo($value, $dir.$links_file);
		if (!strlen($display))
		{
			$display = $value;
		}
		echo 'dir=' . translate_uri($subdir) . '&link=' . translate_uri($value) . '" title="Link to: '.$value.'">'
			.icon(strtolower(substr(strrchr($display, '.'), 1))) . htmlentities($display) . '</a>';
	}
	else //it is a real file or folder
	{
		$posix ? ($p_user = posix_getpwuid(fileowner($npart))) : ($p_user['name'] = 'N/A');
		$perms_stuff = htmlentities('Owner: '.$p_user['name']."\nPermissions: ".get_perms($npart));
		if (is_dir($npart))
		{
			$folderCount++;
			if ($imagepath != '')
			{
				if ($folder_expansion)
				{
					$listVal = (in_array($npart, $_SESSION['expanded'])) ? 'collapse' : 'expand';
					echo 'dir=' . translate_uri($subdir) . "&$listVal=" . translate_uri($value) . '">'
						.'<img border="0" height="16" width="16" alt="[dir]" src="'.$imagepath.'/dir.png" /></a> '
						.'<a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&")
						.'dir=' . translate_uri($subdir.$value) . '/" title="'.$perms_stuff.'">';
				}
				else
				{
					echo 'dir=' . translate_uri($subdir.$value) . '/" title="'.$perms_stuff.'">'
						.'<img border="0" height="16" width="16" alt="[dir]" src="'.$imagepath.'/dir.png" /> ';
				}
			}
			else
			{
				echo 'dir=' . translate_uri($subdir.$value) . '/" title="'.$perms_stuff.'">';
			}
			echo htmlentities($value).'</a>';
			if ($show_folder_count)
			{
				$n = num_files($npart);
				$s = (($n == 1) ? $words['file'] : $words['files']);
				echo " [$n $s]";
			}
		}
		else //is a file
		{
			$fileCount++;
			echo 'dir='.translate_uri($subdir).'&file='.translate_uri(get_basename($npart))."\" title=\"$perms_stuff\">"
				.icon(strtolower(substr(strrchr(get_basename($npart), '.'), 1)))
				.htmlentities($value) . '</a>';
			if ($md5_show && $size_array[$i] > 0 && $size_array[$i]/1048576 <= $md5_show)
			{
				echo ' [<a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&")
					.'dir=' . translate_uri($subdir) . '&md5=' . translate_uri($value) . '"><font size="1">get md5sum</font></a>]';
			}
		}
		if ($use_login_system && loggedIn() && isAdmin())
		{
			echo ' [<a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&")
				.'dir=' . translate_uri($subdir) . '&delete=' . translate_uri($value) . '"><font size="1">delete</font></a>, '
				.'<a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&")
				.'dir=' . translate_uri($subdir) . '&rename=' . translate_uri($value) . '"><font size="1">rename</font></a>]';
		}
		if ($days_new && (time() - $date_m_array[$i])/86400 <= $days_new)
		{
			echo ' <font color="#FF0000" size="1">[New]</font>';
		}
		if ($folder_expansion && is_dir($npart) && in_array($npart, $_SESSION['expanded']))
		{
			$EXarray = GetFileList($npart);
			if ($_SESSION['sort'] == 'd')
			{
					$EXarray = array_reverse($EXarray);
			}
			echo '<ul>';
			foreach ($EXarray as $this)
			{
				echo '<li><a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&")
					.((is_file("$npart/$this")) ? 'dir='.translate_uri($subdir.$value).'/&file='
					.translate_uri($this).'">' : 'dir='.translate_uri("$subdir$value/$this/").'">');
				if (is_file("$npart/$this"))
				{
					echo icon(strtolower(substr(strrchr($this, '.'), 1)));
				}
				else if ($imagepath != '')
				{
					echo '<img border="0" height="16" width="16" alt="[dir]" src="'.$imagepath.'/dir.png" /> ';
				}
				echo htmlentities($this)."</a></li>\n";
			}
			echo '</ul>';
		}
	}
	if ($use_login_system && $description_file != '' && loggedIn() && isAdmin())
	//edit description link
	{
		echo ' [<a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&")
			.'dir=' . translate_uri($subdir) . '&descFile=' . translate_uri($value) . '"><font size="1">change description</font></a>]';
	}
	echo '</td>';

	//hits column
	if ($download_count != '')
	{
		$dlCount += $hit_array[$i];
		echo '<td class="default_td" align="right" valign="top">'
			.((!is_dir($npart)) ? $hit_array[$i] : '&nbsp;').'</td>';
	}

	echo '<td class="default_td" align="right" valign="top">'."\n";

	//size column
	$ds = $size_array[$i];

	if ($ds === '[Link]')
	{
		echo $ds;
	}
	else
	{
		$totalBytes += $ds;
		if (is_dir($npart))
		{
			if ($show_dir_size)
			{
				echo "<a title=\"[dir] $value\n".number_format($ds, 0, '.', ',').' bytes ('
					.get_filesize($ds).')">'.get_filesize($ds).'</a>';
			}
	    		else
			{
				echo '[dir]';
			}
		}
		else if (is_file($npart))
		{
			echo "<a title=\"$value\n".number_format($ds, 0, '.', ',').' bytes ('.get_filesize($ds).')">'.get_filesize($ds).'</a>';
		}
	}
	echo '</td><td class="default_td" align="right" valign="top">';

	//date column
	if ($date_a_array[$i] === 'N/A')
	{
		echo 'N/A';
	}
	else
	{
		$a = date('Y-M-d h:i:s A', $date_a_array[$i]);
		$m = date('Y-M-d h:i:s A', $date_m_array[$i]);
		echo "<a title=\"$value\nLast Modified: $m\nLast Accessed: $a\">".date('Y-M-d', $date_m_array[$i]).'</a>';
	}
	echo '</td>';

	//description column
	if ($description_file != '')
	{
		echo '<td class="default_td" align="left" valign="top">'
			.((strlen($desc_array[$i])) ? $desc_array[$i] : '&nbsp;').'</td>';
	}

	echo "</tr>\n";

	flush();
}

//footer of the table
echo '<tr><th class="default_th"><font size="1">'."\n$fileCount ".$words[(($fileCount == 1) ? 'file' : 'files')]
	." - $folderCount ".$words['folders'].'</font></th>';

if ($download_count != '')
{
	echo "<th class='default_th'><font size='1'>Total: $dlCount</font></th>";
}

echo '<th class="default_th"><font size="1">'.$words['total size'].': <a title="'.$words['total size'].":\n"
	.number_format($totalBytes, 0, '.', ',').' bytes ('.get_filesize($totalBytes).')">'.get_filesize($totalBytes)."</a></font></th>\n"
	.'<th class="default_th" colspan="2">&nbsp;</th></tr></table><div align="right"><font size="1">Powered by <a class="default_a" href="http://autoindex.sourceforge.net/">AutoIndex PHP Script</a></font></div>';
	/*
	 * We request that you do not remove the link to the AutoIndex website.
	 * This not only gives respect to the large amount of time given freely by the
	 * developer, but also helps build interest, traffic, and use of AutoIndex.
	 * (You can move the link to another part of the webpage, though.)
	 */

if ($enable_searching)
{
	show_search_box();
}

if ($use_login_system)
{
	if (!loggedIn())
	{
		show_login_box();
	}
	else //show user options
	{
		echo '<p><table border="0" cellpadding="8" cellspacing="0"><tr class="paragraph"><td class="default_td">';
		if (isAdmin())
		{
			echo '<p><a class="default_a" href="'.(($index == '') ? "$thisFile?" : "$index&")
				.'admin=true">User account management</a>'

				.'<br /><a class="default_a" href="' . (($index == '') ? "$thisFile?" : "$index&")
				.'log=true">Log file viewer / statistics</a>'

				.'<br /><a class="default_a" href="' . (($index == '') ? "$thisFile?" : "$index&")
				.'edit_links=true&dir='.translate_uri($subdir).'">Links file editor</a></p>'

				.'<p><a class="default_a" href="' . (($index == '') ? "$thisFile?" : "$index&")
				.'getcreate=true&dir='.translate_uri($subdir).'">Create a folder (in current directory)</a>'

				.'<br /><a class="default_a" href="' . (($index == '') ? "$thisFile?" : "$index&")
				.'copyURL=true&dir='.translate_uri($subdir).'">Copy a remote file (to current directory)</a></p>';
		}
		echo '<p><a class="default_a" href="' . (($index == '') ? "$thisFile?" : "$index&")
			.'passwd=true">Change password</a><br /><a class="default_a" href="'
			.(($index == '') ? "$thisFile?" : "$index&")
			.'logout=true">Log out [ '.$_SESSION['user'].' ]</a></p></td></tr></table></p>';
	}
}

if ($allow_uploads && (!$use_login_system || loggedIn()))
{
	echo "<form method='post' action='$thisFile'>";
	if ($index != '')
	{
		$id_temp = explode('=', $index, 2);
		$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
		echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
	}
	echo "<input type='hidden' name='dir' value='$subdir' />
	Upload <select size='1' name='numUpload'>";
	for ($i=1; $i<=10; $i++)
	{
		echo "<option>$i</option>\n";
	}
	echo "</select> file(s) to this folder <input type='submit' value='Go' /></form>";
}

if ($select_language)
{
	echo '<p><div align="left"><font size="2">Select Language:'
		."<form method='get' action='$thisFile'><select name='lang'>";
	$l = getAllFiles($path_to_language_files);
	natcasesort($l);
	for ($i=0; $i<count($l); $i++)
	{
		if (is_file($path_to_language_files.$l[$i]) && eregi('^[a-z]{2}(_[a-z]{2})?\.php$', $l[$i]))
		{
			$f = substr(get_basename($l[$i]), 0, -4);
			echo (($f == $_SESSION['lang']) ? '<option selected>' : '<option>')."$f</option>\n";
		}
	}
	echo '
	</select>
	<input type="submit" value="Change" />';
	if ($index != '')
	{
		$id_temp = explode('=', $index, 2);
		$id_temp[0] = substr(strstr($id_temp[0], '?'), 1);
		echo "<input type='hidden' name='$id_temp[0]' value='$id_temp[1]' />";
	}
	echo '</form></font></div></p>';
}

if ($footer != '')
{
	if ($footer_per_folder)
	{
		$footer = $dir.$footer;
	}
	if (is_file($footer))
	{
		include($footer);
	}
}

//find time it took for the page to generate, in milliseconds
$pageTime = round((getmicrotime() - $startTime) * 1000, 1);

echo '
<!--

Powered by AutoIndex PHP Script (version 1.3.8)
Copyright (C) 2002-2004 Justin Hagstrom
http://autoindex.sourceforge.net

Page generated in '.$pageTime.' milliseconds.

-->
'; //We request that you retain this copyright notice.

if ($index == '')
{
	echo '</body></html>';
}

?>