<?php
/**
* UserInfoDB class
* Provides database functions for userInfo.php
* @author Nick Korbel <lqqkout13@users.sourceforge.net>
* @version 11-30-03
* @package DBEngine
*/
/**
* Base directory of application
*/
@define('BASE_DIR', dirname(__FILE__) . '/../..');
/**
* DBEngine class
*/
require_once(BASE_DIR . '/lib/DBEngine.class.php');

/**
* Provide functionality for userInfo.php
*/
class UserInfoDB extends DBEngine {
	
	/**
	* Returns the previous (alphabetic) memberid
	* @param object $user current user object
	* @return previous memberid as string
	*/
	function get_prev_userid(&$user) {
		$result = $this->db->getRow('SELECT memberid FROM ' . $this->get_table('login')
				. ' WHERE ('
				. ' (lname<"' . $user->get_lname() . '") '
				. ' OR (lname="' . $user->get_lname() . '" AND fname<="' . $user->get_fname() . '")'
				. ') '
				. ' AND memberid <> "' . $user->get_id() . '"'
				. ' ORDER BY lname, fname');

		$this->check_for_error($result);
		
		if (count($result) <= 0)
			return $user->get_id();
		
		return $result['memberid'];
	}
	
	/**
	* Returns the next (alphabetic) memberid
	* @param object $user current user object
	* @return next memberid as string
	*/
	function get_next_userid(&$user) {
		$result = $this->db->getRow('SELECT memberid FROM ' . $this->get_table('login')
				. ' WHERE ('
				. ' (lname>"' . $user->get_lname() . '") '
				. ' OR (lname="' . $user->get_lname() . '" AND fname>="' . $user->get_fname() . '")'
				. ') '
				. ' AND memberid <> "' . $user->get_id() . '"'
				. ' ORDER BY lname, fname');

		$this->check_for_error($result);
		
		if (count($result) <= 0)
			return $user->get_id();
		
		return $result['memberid'];
	}
}
?>