<?php
/**
* Statistics page
* Print out visual statistics of many different aspects
*  of the application
* @author Nick Korbel <lqqkout13@users.sourceforge.net>
* @version 11-08-03
* @package phpScheduleIt
*/
list($s_sec, $s_msec) = explode(' ', microtime());	// Start execution timer
/**
* Include Template class
*/
require_once('lib/Template.class.php');
/**
* Include Stats class
*/
require_once('lib/Stats.class.php');

// Make sure this is the admin
if (!Auth::isAdmin()) {
    CmnFns::do_error_box('This section is only available to the administrator.<br />'
        . '<a href="ctrlpnl.php">Back to My Control Panel</a>');
}

$stats = new Stats();

$t = new Template('phpScheduleIt Statistics');
$t->printHTMLHeader();
$t->printWelcome();
$t->startMain();

print_quick_stats($stats);

print_system_stats($conf);

$stats->set_stats(MONTH);
$stats->print_stats();

$stats->set_stats(DAY_OF_WEEK);
$stats->print_stats();

$stats->set_stats(DAY_OF_MONTH);
$stats->print_stats();

$stats->set_stats(START_TIME);
$stats->print_stats();

$stats->set_stats(END_TIME);
$stats->print_stats();

$stats->set_stats(RESOURCE);
$stats->print_stats();

$stats->set_stats(USER);
$stats->print_stats();

$t->endMain();

list($e_sec, $e_msec) = explode(' ', microtime());		// End execution timer
$tot = ((float)$e_sec + (float)$e_msec) - ((float)$s_sec + (float)$s_msec);
echo sprintf('<h6>Stats created in %.16f seconds</h6>', $tot);

$t->printHTMLFooter();	// Print HTML footer

?>